- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QRenderTargetSelector
- Qt 6.5.1 Reference Documentation

# QRenderTargetSelector Class

class Qt3DRender::QRenderTargetSelector

Provides a way of specifying a render target. More...

Header: | #include <QRenderTargetSelector>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | RenderTargetSelector
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Properties

- target : Qt3DRender::QRenderTarget*

## Public Functions

| QRenderTargetSelector(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QRenderTarget * | target() const

## Public Slots

void | setTarget(Qt3DRender::QRenderTarget *target)

## Signals

void | targetChanged(Qt3DRender::QRenderTarget *target)

## Detailed Description

A Qt3DRender::QRenderTargetSelector is used to select active Qt3DRender::QRenderTarget for the FrameGraph. When QRenderTargetSelector is present in the FrameGraph, the rendering is directed into QTexture objects or draw buffers instead of the surface specified in the Qt3DRender::QRenderSurfaceSelector.

## Property Documentation

### target : Qt3DRender::QRenderTarget*

Holds the current render target

Access functions:

Qt3DRender::QRenderTarget * | target() const
void | setTarget(Qt3DRender::QRenderTarget *target)

Notifier signal:

void | targetChanged(Qt3DRender::QRenderTarget *target)

## Member Function Documentation

### `[explicit]` QRenderTargetSelector::QRenderTargetSelector(Qt3DCore::QNode *parent = nullptr)

Constructs QRenderTargetSelector with given parent.